# eric7.WebBrowser.ZoomManager.ZoomValuesModel

Module implementing a model for zoom values management.

### Global Attributes

None

### Classes

ZoomValuesModel | Class implementing a model for zoom values management.

### Functions

None

## ZoomValuesModel

Class implementing a model for zoom values management.

### Derived from

QAbstractTableModel

### Class Attributes

None

### Class Methods

None

### Methods

ZoomValuesModel | Constructor
__zoomValuesChanged | Private slot handling a change of the registered zoom values.
columnCount | Public method to get the number of columns of the model.
data | Public method to get data from the model.
headerData | Public method to get the header data.
removeRows | Public method to remove entries from the model.
rowCount | Public method to get the number of rows of the model.

### Static Methods

None

#### ZoomValuesModel (Constructor)

ZoomValuesModel(manager, parent=None)

Constructor

manager
  reference to the zoom values manager (ZoomManager)
parent
  reference to the parent object (QObject)

#### ZoomValuesModel.__zoomValuesChanged

__zoomValuesChanged()

Private slot handling a change of the registered zoom values.

#### ZoomValuesModel.columnCount

columnCount(parent=None)

Public method to get the number of columns of the model.

parent
  parent index (QModelIndex) (Unused)

Return:
  number of columns (integer)

#### ZoomValuesModel.data

data(index, role)

Public method to get data from the model.

index
  index to get data for (QModelIndex)
role
  role of the data to retrieve (integer)

Return:
  requested data

#### ZoomValuesModel.headerData

headerData(section, orientation, role=Qt.ItemDataRole.DisplayRole)

Public method to get the header data.

section
  section number (integer)
orientation
  header orientation (Qt.Orientation)
role
  data role (Qt.ItemDataRole)

Return:
  header data

#### ZoomValuesModel.removeRows

removeRows(row, count, parent=None)

Public method to remove entries from the model.

row
  start row (integer)
count
  number of rows to remove (integer)
parent
  parent index (QModelIndex)

Return:
  flag indicating success (boolean)

#### ZoomValuesModel.rowCount

rowCount(parent=None)

Public method to get the number of rows of the model.

parent
  parent index (QModelIndex)

Return:
  number of rows (integer)

Up